PayNowPro
Products

Delete Product Price

Permanently deletes a price from a product.

DELETE
/products/{productId}/prices/{priceId}
api-key<token>

In: header

Path Parameters

productId*string

The product ID from the URL path

priceId*string

The price ID from the URL path

Query Parameters

tenantAlias*string

Merchant identifier for multi-tenant access

Response Body

application/json

application/json

application/json

curl -X DELETE "https://api.paynowpro.com/api/v1/products/string/prices/string?tenantAlias=string"
{
  "success": true
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}
{
  "cause": null,
  "body": {
    "response": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      }
    },
    "request": {
      "body": "string",
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "url": "string",
      "method": "string"
    },
    "reason": "string",
    "code": 400
  }
}